[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[iaik-jce] problems with IAIK-JCE and Java Plug-in



I'm using IAIK-JCE Applet Edition and Java Plug-in 1.2.2 but I have
problems, the Java Console shows this message when I load my applet:

adding Provider IAIK...
Java version number: null
Java compiler: null
Java vendor-specific string: null
Java vendor URL: null
Java installation directory: null
Java class format version number: null
Java class path: null
Operating system name: null
Operating system architecture: null
Operating system version: null
Installed security providers
providers
Provider 1: IAIK  version: 2.5100000000000002
Provider 2: SUN  version: 1.2
Provider 3: SunPlugin  version: 1.0
iaik.java.security.NoSuchProviderException: Provider not installed: IAIK
 at iaik.java.security.Security.a(Unknown Source)
 at iaik.java.security.Security.a(Unknown Source)
 at iaik.java.security.KeyPairGenerator.getInstance(Unknown Source)
 at AppletMDeSig.init(AppletMDeSig.java:18)
 at sun.applet.AppletPanel.run(AppletPanel.java:333)
 at java.lang.Thread.run(Thread.java:479)
java.lang.RuntimeException
 at AppletMDeSig.init(AppletMDeSig.java:36)
 at sun.applet.AppletPanel.run(AppletPanel.java:333)
 at java.lang.Thread.run(Thread.java:479)

this is my applet:

import java.applet.*;
import java.awt.*;
import iaik.java.security.*;
import iaik.security.rsa.*;
import iaik.security.provider.*;
public class AppletMDeSig extends java.applet.Applet
{
public void init()
{
try
{
IAIK.addAsProvider(true);
KeyPairGenerator key_gen = KeyPairGenerator.getInstance("RSA","IAIK");
key_gen.initialize(512);
KeyPair key_pair = key_gen.generateKeyPair();
..........

and this is the html file I use:

<OBJECT classid="clsid:8AD9C840-044E-11D1-B3E9-00805F499D93"width="600"
height="100" align="baseline"
codebase="http://java.sun.com/products/plugin/1.2.2/jinstall-1_2_2-win.cab#V
ersion=1,2,2,0">
<PARAM NAME="code" VALUE="AppletMDeSig.class">
<PARAM NAME="codebase" VALUE="file:/c:/html">
<PARAM NAME="archive" VALUE="iaik_jce_full_ae.jar">
<PARAM NAME="type" VALUE="application/x-java-applet;version=1.2.2">
<PARAM NAME="scriptable" VALUE="true">
<COMMENT>
<EMBED type="application/x-java-applet;version=1.2.2" width="200"
height="200" align="baseline" code="AppletMDeSig.class"
codebase="file:/c:/html/" archive="iaik_jce_full_ae.jar"
pluginspage="http://java.sun.com/products/plugin/1.2/plugin-install.html">
<NOEMBED></COMMENT>
 No JDK 1.2 support for APPLET!!
</NOEMBED></EMBED></OBJECT>

Can you help me?
Thanks in advance

Marco Formica

--
Mailinglist-archive at http://jcewww.iaik.at/mailarchive/iaik-jce/jcethreads.html

To unsubscribe send an email to listserv@iaik.at with the folowing content: UNSUBSCRIBE iaik-jce